---
title: Logical AND assignment (&&=)
slug: Web/JavaScript/Reference/Operators/Logical_AND_assignment
tags:
  - JavaScript
  - Language feature
  - Logical assignment
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The logical AND assignment (<code>x &amp;&amp;= y</code>) operator only assigns if <code>x</code> is {{Glossary("truthy")}}.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-logical-and-assignment.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>expr1</em> &amp;&amp;= <em>expr2</em>
</pre>

<h2 id="Description">Description</h2>

<h3 id="Short-circuit_evaluation">Short-circuit evaluation</h3>

<p>The <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Logical_AND">logical AND</a> operator is evaluated left to right, it is tested for possible short-circuit evaluation using the following rule:</p>

<p><code>(some falsy expression) &amp;&amp; expr</code> is short-circuit evaluated to the falsy expression;</p>

<p>Short circuit means that the <code><em>expr</em></code> part above is <strong>not evaluated</strong>, hence any side effects of doing so do not take effect (e.g., if <code><em>expr</em></code> is a function call, the calling never takes place).</p>

<p>Logical AND assignment short-circuits as well meaning that <code>x &amp;&amp;= y</code> is equivalent to:</p>

<pre class="brush: js notranslate">x &amp;&amp; (x = y);</pre>

<p>And not equivalent to the following which would always perform an assignment:</p>

<pre class="brush: js notranslate example-bad">x = x &amp;&amp; y;
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_logical_AND_assignment">Using logical AND assignment</h3>

<pre class="brush: js notranslate">let x = 0;
let y = 1;

x &amp;&amp;= 0; // 0
x &amp;&amp;= 1; // 0
y &amp;&amp;= 1; // 1
y &amp;&amp;= 0; // 0
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
  </tr>
  <tr>
   <td>{{SpecName('Logical Assignment', '#sec-assignment-operators', 'Assignment operators')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.logical_and_assignment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Logical_AND">Logical AND (&amp;&amp;)</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Nullish_coalescing_operator">The nullish coalescing operator (<code>??</code>)</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Bitwise_AND_assignment">Bitwise AND assignment (<code>&amp;=</code>)</a></li>
 <li>{{jsxref("Boolean")}}</li>
 <li>{{Glossary("Truthy")}}</li>
 <li>{{Glossary("Falsy")}}</li>
</ul>
